Description

Generalize the ideas of issue #1647 to other types of ideal (and modules?)

Related issues:

Related to CoCoALib - Design #1647: Suppress zero from ideal generators?  Det... Closed 20 Jan 2022

Related to CoCoALib - Feature #1797: Add a function CleanupGens making some e... New 18 Mar 2024

History

#1 - 25 Mar 2024 19:02 - John Abbott

- Related to Design #1647: Suppress zero from ideal generators?  Detect 1 and simplify generators? added

#2 - 25 Mar 2024 19:03 - John Abbott

- Subject changed from Tidying ideal geneators (for non-polynomial ideals) to Tidying ideal generators (for non-polynomial ideals)

#3 - 25 Mar 2024 19:05 - John Abbott

First steps:

remove 0 generators

if any generator is 1 (or invertible) then the ideal is 1

for integer ideal, maybe compute (non-negative) gcd and use that as single generator.

Is there a sane generalization to modules?

#4 - 25 Mar 2024 19:14 - John Abbott

- Related to Feature #1797: Add a function CleanupGens making some easy cleaning on the generators? added
